"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var mobx_react_1 = require("mobx-react");
var react_1 = tslib_1.__importStar(require("react"));
var context_1 = require("../../store/context");
function EditableCell(props) {
    var store = react_1.useContext(context_1.TableContext);
    var _a = react_1.useState(false), withFocus = _a[0], setFocusState = _a[1];
    var editHandler = react_1.useCallback(function (e) {
        store.editCell(e.currentTarget.textContent, props.record, props.field);
        setFocusState(false);
    }, [props.record, props.field]);
    var focusHandler = react_1.useCallback(function (e) {
        setFocusState(true);
    }, []);
    return (react_1.default.createElement("td", { contentEditable: true, className: classnames_1.default('url_table__row__cell', 'url_table__row__cell--editable', {
            'url_table__row__cell--edit': withFocus
        }), suppressContentEditableWarning: true, onFocus: focusHandler, onBlur: editHandler }, props.field.render(props.record)));
}
exports.default = mobx_react_1.observer(EditableCell);
//# sourceMappingURL=editable-cell.js.map