"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var mobx_react_1 = require("mobx-react");
var react_1 = tslib_1.__importStar(require("react"));
var context_1 = require("../../store/context");
var cell_1 = tslib_1.__importDefault(require("./cell"));
function Row(props) {
    var store = react_1.useContext(context_1.TableContext);
    var selectRecord = function () { return store.select(props.record); };
    return (react_1.default.createElement("tr", { onClick: selectRecord, className: classnames_1.default({
            'url_table__row--selected': store.selectedItems[props.record[store.props.indexField]]
        }) }, store.fields.map(function (field) {
        return react_1.default.createElement(cell_1.default, { key: field.property, field: field, record: props.record, editable: store.isEditableField(field) });
    })));
}
exports.default = mobx_react_1.observer(Row);
//# sourceMappingURL=row.js.map