"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var debounce_1 = tslib_1.__importDefault(require("lodash/debounce"));
var react_1 = tslib_1.__importStar(require("react"));
var context_1 = require("../../store/context");
var INPUT_DEBOUNCE_MS = 200;
function SearchInput() {
    var store = react_1.useContext(context_1.TableContext);
    var inputRef = react_1.useRef(null);
    var onInputHandler = debounce_1.default(function () {
        if (inputRef.current) {
            store.search(inputRef.current.value);
        }
    }, INPUT_DEBOUNCE_MS);
    return (react_1.default.createElement("div", { className: "url_table__search" },
        react_1.default.createElement("input", { type: "text", ref: inputRef, className: "url_table__search__input", placeholder: "Search", onChange: onInputHandler })));
}
exports.default = SearchInput;
//# sourceMappingURL=searchInput.js.map