"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var mobx_react_1 = require("mobx-react");
var react_1 = tslib_1.__importStar(require("react"));
var context_1 = require("../../../store/context");
var badge_1 = tslib_1.__importDefault(require("./badge"));
function SortingPanel() {
    var store = react_1.useContext(context_1.TableContext);
    var sortingOptions = Object.entries(store.sorting);
    var removeFromSorting = function (property) { return function () { return store.removeFromSorting(property); }; };
    return (react_1.default.createElement("div", { className: "url_table__sorting_panel" }, sortingOptions.map(function (_a) {
        var property = _a[0], sortingOpts = _a[1];
        return react_1.default.createElement(badge_1.default, { key: property, property: property, headerName: sortingOpts.headerName, order: sortingOpts.order, onClose: removeFromSorting(property) });
    })));
}
exports.default = mobx_react_1.observer(SortingPanel);
//# sourceMappingURL=index.js.map