"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var mobx_react_1 = require("mobx-react");
var react_1 = tslib_1.__importStar(require("react"));
var context_1 = require("../../store/context");
function Header(props) {
    var header = props.header;
    var store = react_1.useContext(context_1.TableContext);
    var property = store.fields[header.index].property;
    var sortingOptions = store.sorting[property];
    var sortingEvent = function () { return store.sort(header); };
    var getHeaderEvents = {
        onClick: (store.props.sorting && header.sortable ? sortingEvent : null)
    };
    return (react_1.default.createElement("th", tslib_1.__assign({}, getHeaderEvents, { className: classnames_1.default('url_table__header', sortingOptions ? "url_table__header--sorted-" + sortingOptions.order : null) }), header.render()));
}
exports.default = mobx_react_1.observer(Header);
//# sourceMappingURL=header.js.map