"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var mobx_react_1 = require("mobx-react");
var react_1 = tslib_1.__importStar(require("react"));
var context_1 = require("../store/context");
function Table(props) {
    var store = react_1.useContext(context_1.TableContext);
    react_1.useEffect(function () {
        if (store.props.url) {
            store.loadByUrl();
        }
    }, [store.props.url]);
    return (react_1.default.createElement(react_1.Fragment, null,
        react_1.default.createElement("table", { className: "url_table" }, props.children),
        store.error && react_1.default.createElement("div", { className: "url_table__error" },
            react_1.default.createElement("h3", null, store.error))));
}
exports.default = mobx_react_1.observer(Table);
//# sourceMappingURL=table.js.map