"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var types_1 = require("./@typings/types");
var tbody_1 = tslib_1.__importDefault(require("./components/body/tbody"));
var controls_panel_1 = tslib_1.__importDefault(require("./components/controls-panel"));
var searchInput_1 = tslib_1.__importDefault(require("./components/controls-panel/searchInput"));
var sorting_1 = tslib_1.__importDefault(require("./components/controls-panel/sorting"));
var thead_1 = tslib_1.__importDefault(require("./components/head/thead"));
var pagination_1 = tslib_1.__importDefault(require("./components/pagination"));
var table_1 = tslib_1.__importDefault(require("./components/table"));
var context_1 = require("./store/context");
function UrlTable(props) {
    return react_1.default.createElement(context_1.StoreProvider, tslib_1.__assign({}, props),
        react_1.default.createElement(controls_panel_1.default, null,
            props.sorting && props.showSortingPanel && react_1.default.createElement(sorting_1.default, null),
            props.search && react_1.default.createElement(searchInput_1.default, null)),
        react_1.default.createElement(table_1.default, null,
            react_1.default.createElement(thead_1.default, null),
            react_1.default.createElement(tbody_1.default, null)),
        props.pagination && react_1.default.createElement(pagination_1.default, null));
}
UrlTable.defaultProps = {
    data: [],
    editable: false,
    fields: [],
    headers: [],
    pagination: {
        marginPagesDisplayed: 1,
        pageRangeDisplayed: 5,
        pageSize: 10
    },
    search: false,
    selectMode: false,
    showSortingPanel: true,
    sorting: types_1.SortingModes.simple,
};
exports.default = UrlTable;
//# sourceMappingURL=index.js.map