"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var HeaderModel = (function () {
    function HeaderModel(props, index) {
        this.sortable = true;
        this.searchable = true;
        this.index = index;
        if (typeof props === 'string') {
            this.name = props;
        }
        else {
            this.renderHandler = props.render;
            this.name = props.name;
            if (props.searchable === false) {
                this.searchable = props.searchable;
            }
            if (props.sortable === false) {
                this.sortable = props.sortable;
            }
            if (props.hasOwnProperty('editable')) {
                this.editable = props.editable;
            }
        }
        return this;
    }
    HeaderModel.prototype.render = function () {
        return this.renderHandler ? this.renderHandler(this.name) : this.name;
    };
    return HeaderModel;
}());
exports.default = HeaderModel;
//# sourceMappingURL=header.js.map